<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');
if ($prava_pristup_sadrzaj!=1) die('Nedozvoljen pristup!');

$id_str=$_REQUEST[id_str];
$id_par=$_REQUEST[id_par];

// list expected fields
$expected = array('q_tekst');

// process the $_POST variables
foreach ($_POST as $key => $value) {
	// assign to temporary variable and strip whitespace if not an array
	$temp = is_array($value) ? $value : trim($value);	
	// assign to a variable of the same name as $key
	if (in_array($key, $expected)) {
		${$key} = mysql_real_escape_string($temp);
	}
}
$error='';
$uspjeh='';

//insert new data in database
//uredi tekst
$q_tekst=uredi_var($q_tekst);

$result = mysql_query("update b7_paragraf_tekst set 
						tekst='$q_tekst',
						user='$log_username',
						datum=now() 
						where id_paragraf='$id_par'");
					
if (!$result) {
	$error.='Dogodila se greška pri zapisu u bazu: '.mysql_error();
} else {
	$uspjeh.='Uspješno je promjenjen tekst za paragraf u bazi<br />';
	//zapis teksta za tekst i slike
	include ("func/uredi_tekst.php");
	uredi_tekst($id_par,$parametar_domena,$parametar_tekst_direktorij,$conn);
}

if ($error) echo '<div class="greska">'.$error.'</div>';
if ($uspjeh) echo '<div class="uspjeh">'.$uspjeh.'</div>';
?>